<?php

/*
 * LernfunkAdministrationPlugin.class.php - configure the webservice to talk with
 *
 * Copyright (C) 2009 - Till Gloeggler <tgloeggl@uos.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

/**
 * The Lernfunk Plugin
 *
 * @package     virtuos
 * @subpackage  standard
 *
 * @author    tgloeggl
 * @copyright (c) Authors
 * @version   $Id$
 */

require_once "LernfunkDB.class.php";

class LernfunkAdministrationPlugin extends AbstractStudIPAdministrationPlugin {

  function LernfunkAdministrationPlugin() {

    parent::AbstractStudIPAdministrationPlugin();

    # navigation
    $navigation =& new PluginNavigation();
    $navigation->setDisplayname(_("Lernfunk"));
    
		$this->setNavigation($navigation);
		
    $this->template_factory = new Flexi_TemplateFactory(dirname(__FILE__) . '/templates/');
  }


  function initialize() {
		#printf("in %s:%s\n", __CLASS__, __FUNCTION__);
  }


  function getPluginname() {
    return _("Lernfunk Administrationsplugin");
  }

	function actionStore() {
		// save the configuration to the database
		LernfunkDB::storeWebserviceInfo($_REQUEST);

		// show the administration
		$this->actionShow();
	}

	function actionShow() {
		$template = $this->template_factory->open("config");
		$template->set_layout('layout');

		$template->set_attribute('infobox', 'infobox_config');
		$template->set_attribute('plugin', $this);
		$template->set_attribute('webservice', LernfunkDB::getWebserviceInfo());

		echo $template->render();
	}

}
